Groovy Documentation

## org.codehaus.groovy.grails.cli
[Groovy] Class ScriptNameResolver

    java.lang.Object
      org.codehaus.groovy.grails.cli.ScriptNameResolver

    class ScriptNameResolver

Authors:
  Andres Almiray
  Dierk Koenig

Method Summary
`static boolean` | `resolvesTo(java.lang.String scriptName, java.lang.String scriptFileName)` Matches a camelCase scriptName to a potential scriptFileName in canonical form.

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### resolvesTo

    static boolean resolvesTo(java.lang.String scriptName, java.lang.String scriptFileName)

  Matches a camelCase scriptName to a potential scriptFileName in canonical form.

  The following scriptNames match FooBar: FB, FoB, FBa

Groovy Documentation